libcoap 4.3.2rc2

Functions
coap_oscore.c File Reference

CoAP OSCORE handling. More...

`#include "coap3/coap_internal.h"`

Go to the source code of this file.

## Functions
int | coap_oscore_is_supported (void)
| Check whether OSCORE is available. More...
coap_session_t * | coap_new_client_session_oscore (coap_context_t *ctx, const coap_address_t *local_if, const coap_address_t *server, coap_proto_t proto, coap_oscore_conf_t *oscore_conf)
| Creates a new client session to the designated server, protecting the data using OSCORE. More...
coap_session_t * | coap_new_client_session_oscore_psk (coap_context_t *ctx, const coap_address_t *local_if, const coap_address_t *server, coap_proto_t proto, coap_dtls_cpsk_t *psk_data, coap_oscore_conf_t *oscore_conf)
| Creates a new client session to the designated server with PSK credentials as well as protecting the data using OSCORE. More...
coap_session_t * | coap_new_client_session_oscore_pki (coap_context_t *ctx, const coap_address_t *local_if, const coap_address_t *server, coap_proto_t proto, coap_dtls_pki_t *pki_data, coap_oscore_conf_t *oscore_conf)
| Creates a new client session to the designated server with PKI credentials as well as protecting the data using OSCORE. More...
int | coap_context_oscore_server (coap_context_t *context, coap_oscore_conf_t *oscore_conf)
| Set the context's default OSCORE configuration for a server. More...
coap_oscore_conf_t * | coap_new_oscore_conf (coap_str_const_t conf_mem, coap_oscore_save_seq_num_t save_seq_num_func, void *save_seq_num_func_param, uint64_t start_seq_num)
| Parse an OSCORE configuration (held in memory) and populate a OSCORE configuration structure. More...
int | coap_delete_oscore_conf (coap_oscore_conf_t *oscore_conf)
| Release all the information associated with the OSCORE configuration. More...
int | coap_new_oscore_recipient (coap_context_t *context, coap_bin_const_t *recipient_id)
| Add in the specific Recipient ID into the OSCORE context (server only). More...
int | coap_delete_oscore_recipient (coap_context_t *context, coap_bin_const_t *recipient_id)
| Release all the information associated for the specific Recipient ID (and hence and stop any further OSCORE protection for this Recipient). More...

## Detailed Description

CoAP OSCORE handling.

Definition in file coap_oscore.c.